Bug 169144 - games/wesnoth: NLS is broken
Summary: games/wesnoth: NLS is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-16 08:40 UTC by fiziologus
Modified: 2012-07-10 18:21 UTC (History)
0 users

See Also:


Attachments
nls.diff (1.00 KB, patch)
2012-06-16 15:18 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2012-06-16 08:40:09 UTC
NLS doesn't work even when the game is built WITH_NLS. Removing files/patch-src-gettext.* fixes this.

How-To-Repeat: Build wesnoth with NLS enabled, run `env LC_ALL=ru_RU.UTF-8 wesnoth`, see no localization.
Comment 1 Jan Beich freebsd_committer 2012-06-16 15:18:40 UTC
Can you test? Looks like cmake build doesn't define ENABLE_NLS unlike autoconf.
I've tested with LC_MESSAGES=ru_RU.UTF-8 and a few other locales.
Comment 2 Edwin Groothuis freebsd_committer 2012-06-16 17:21:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Jan Beich freebsd_committer 2012-06-18 19:55:53 UTC
green dog <fiziologus@gmail.com> writes:

> 2012/6/16 Jan Beich <jbeich@tormail.org>
>
>> Can you test? Looks like cmake build doesn't define ENABLE_NLS unlike
>> autoconf.
>> I've tested with LC_MESSAGES=ru_RU.UTF-8 and a few other locales.
>>
>>
> work

Good. And don't drop bug-followup@ from CC unless you want the PR to end
up in `feedback' state.
Comment 4 Alex Kozlov freebsd_committer 2012-07-09 17:03:57 UTC
Responsible Changed
From-To: philip->ak

I'll take it.
Comment 5 dfilter service freebsd_committer 2012-07-10 18:19:54 UTC
ak          2012-07-10 17:19:40 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth        Makefile 
    games/wesnoth/files  patch-CMakeLists.txt 
  Log:
  - Fix NLS support [1]
  - Give maintainership to Rusty Nejdl <rnejdl@ringofsaturn.com>
  - Remove ABI version numbers in LIB_DEPENDS
  - Convert to new options framework
  
  PR:     ports/169144 [1]
  Submitted by:   Green Dog <fiziologus@gmail.com>, Jan Beich <jbeich@tormail.org> [1]
  
  Revision  Changes    Path
  1.99      +65 -61    ports/games/wesnoth/Makefile
  1.2       +20 -9     ports/games/wesnoth/files/patch-CMakeLists.txt
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Alex Kozlov freebsd_committer 2012-07-10 18:21:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!